FreeBSD and Linux Compatibility part 2 more errors…

right back again… I tried that and it told me I had to do a sudo make distclean so I did that and got the exact same error again!!!  What is really starting to piss me off is this is (again) a freaking gnome specific app, do I really have to instlal gnome to get my FreeBSD to actually function with KDE?  this is starting to piss me off really bad.  not to mention FreeBSD has started reporting that my CPU is reaching a critical temp and then shuts my computer off, yet when I restart it (within 10 seconds) and go into the BIOS and check the system it still shows a CPU temp of 40C which is pretty freakin cold for not having any  liquid cooling in my case (probably is so cool because I am using an onboard video card…)  and THAT is annoying.  what is worse, when I check it with sysctl (I think that is the command in FreeBSD) it ALWAYS reports my CPU at 30C on every core, so I know ACPI is not working, but if I boot using boot option 2 (boot without ACPI) the system locks up and fails to boot, so I can not find a way around that problem either.

 

Only when youare about to give up… hmm… I did a search on this error and came up with a completely different issue (with same error though) and got a solution that seems to have worked…  USE GMAKE (funny, as the install instructions just say “make”).  ran a sudo pkgdb -F all good, ran a sudo portupgrade -ra and still getting the failed gcc compiler message for multi-threaded…

 

** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! devel/boost-python-libs (boost-python-libs-1.39.0)    (missing header)
        ! x11-toolkits/linux-f10-pango (linux-f10-pango-1.22.3) (unknown build error)
        ! textproc/py-libxml2 (py26-libxml2-2.7.5)      (missing header)
        ! devel/apr (apr-ipv6-gdbm-db42-1.3.8.1.3.9)    (unknown build error)
        ! misc/iso-codes (iso-codes-3.10.3)     (missing header)
        * devel/subversion (subversion-1.6.5)
        ! devel/py-gobject (py26-gobject-2.16.1)        (configure error)
        * x11/libxklavier (libxklavier-3.9,1)
        ! sysutils/consolekit (consolekit-0.3.0_8)      (configure error)
        ! java/diablo-jre16 (diablo-jre-1.6.0.07.02)    (checksum mismatch)
        ! graphics/py-cairo (py26-cairo-1.8.8)  (configure error)
        * x11-toolkits/py-gtk2 (py26-gtk-2.14.1_1)
        ! multimedia/gstreamer (gstreamer-0.10.24)      (configure error)
        ! devel/gconf2 (gconf2-2.26.2_1)        (configure error)
        * devel/libgsf (libgsf-1.14.15_1)
        * graphics/librsvg2 (librsvg2-2.26.0_2)
        * multimedia/gstreamer-plugins (gstreamer-plugins-0.10.24,3)
        * net-im/libnice (libnice-0.0.9)
        * multimedia/gstreamer-plugins-good (gstreamer-plugins-good-0.10.16,3)
        * multimedia/gstreamer-plugins-theora (gstreamer-plugins-theora-0.10.24,3)
        * multimedia/py-gstreamer (py26-gstreamer-0.10.16)
        * multimedia/gstreamer-plugins-bad (gstreamer-plugins-bad-0.10.14,3)
        * multimedia/gstreamer-plugins-xvid (gstreamer-plugins-xvid-0.10.14,3)
        * multimedia/gstreamer-ffmpeg (gstreamer-ffmpeg-0.10.8)
        * multimedia/gstreamer-plugins-dts (gstreamer-plugins-dts-0.10.14,3)
        * x11-toolkits/gstreamer-plugins-pango (gstreamer-plugins-pango-0.10.24,3)
        * devel/gstreamer-plugins-gconf (gstreamer-plugins-gconf-0.10.16,3)
        * graphics/gstreamer-plugins-libpng (gstreamer-plugins-libpng-0.10.16,3)
        * audio/gstreamer-plugins-ogg (gstreamer-plugins-ogg-0.10.24,3)
        * audio/gstreamer-plugins-esound (gstreamer-plugins-esound-0.10.16,3)
        * audio/gstreamer-plugins-vorbis (gstreamer-plugins-vorbis-0.10.24,3)
        * devel/gstreamer-plugins-gio (gstreamer-plugins-gio-0.10.24,3)
        * multimedia/gstreamer-plugins-ugly (gstreamer-plugins-ugly-0.10.12,3)
        * multimedia/gstreamer-plugins-dvd (gstreamer-plugins-dvd-0.10.12_1,3)
        * audio/gstreamer-plugins-mad (gstreamer-plugins-mad-0.10.12,3)
        * audio/gstreamer-plugins-flac (gstreamer-plugins-flac-0.10.16,3)
        * multimedia/gstreamer-plugins-mpeg2dec (gstreamer-plugins-mpeg2dec-0.10.12,3)
        * audio/gstreamer-plugins-a52dec (gstreamer-plugins-a52dec-0.10.12,3)
        * multimedia/gstreamer-plugins-core (gstreamer-plugins-core-0.10_10)
        * audio/gstreamer-plugins-cdparanoia (gstreamer-plugins-cdparanoia-0.10.24_1,3)
        * net-im/farsight2 (farsight2-0.0.15)
        * multimedia/qt4-phonon-gst (qt4-phonon-gst-4.5.2)
        * www/qt4-webkit (qt4-webkit-4.5.2)
        * devel/qt4-assistant (qt4-assistant-4.5.2)
        * devel/qt4-designer (qt4-designer-4.5.2)
        * devel/qt4-linguist (qt4-linguist-4.5.2)
        * emulators/virtualbox-ose (virtualbox-3.0.51.r22902_2)
        * sysutils/hal (hal-0.5.11_26)
        * x11/kdebase3 (kdebase-3.5.10_3)
        * devel/gnome-vfs (gnome-vfs-2.24.1_1)
        * x11/yakuake (yakuake-2.8.1_3)
        * x11-servers/xorg-server (xorg-server-1.6.1,1)
        * x11-drivers/xf86-video-ati (xf86-video-ati-6.12.2_1)
        * x11-drivers/xf86-video-r128 (xf86-video-r128-6.8.0_3)
        * x11-drivers/xf86-video-openchrome (xf86-video-openchrome-0.2.903_2)
        * x11/libgnome (libgnome-2.26.0_1)
        * x11/kdelibs4 (kdelibs-4.3.1_3)
        * games/kdegames4 (kdegames-4.3.1)
        * sysutils/gstreamer-plugins-hal (gstreamer-plugins-hal-0.10.16,3)
        * graphics/kdegraphics4 (kdegraphics-4.3.1)
        * misc/kdeedu4 (kdeedu-4.3.1)
        * x11-drivers/xf86-video-nv (xf86-video-nv-2.1.13_1)
        * x11-drivers/xf86-input-mouse (xf86-input-mouse-1.4.0_6)
        * x11/kdelibs4-experimental (kdelibs-experimental-4.3.1)
        * x11-drivers/xf86-video-radeonhd (xf86-video-radeonhd-1.2.5_2)
        * x11-drivers/xf86-video-vesa (xf86-video-vesa-2.1.0_2)
        * x11-drivers/xf86-video-mach64 (xf86-video-mach64-6.8.1)
        * x11-drivers/xf86-video-intel (xf86-video-intel-2.7.1)
        * deskutils/kdepimlibs4 (kdepimlibs-4.3.1)
        * net/kdenetwork4 (kdenetwork-4.3.1)
        * x11/kdebase4-runtime (kdebase-runtime-4.3.1_1)
        * devel/kdesdk4 (kdesdk-4.3.1)
        * deskutils/kdepim4-runtime (kdepim-runtime-4.3.1)
        * accessibility/kdeaccessibility4 (kdeaccessibility-4.3.1)
        * deskutils/kdepim4 (kdepim-4.3.1_1)
        * sysutils/kdeadmin4 (kdeadmin-4.3.1)
        * x11/kdebase4-workspace (kdebase-workspace-4.3.1)
        * x11-clocks/kdetoys4 (kdetoys-4.3.1)
        * x11-themes/kdeartwork4 (kdeartwork-4.3.1)
        * security/gnome-keyring (gnome-keyring-2.26.3_1)
        * textproc/gnome-doc-utils (gnome-doc-utils-0.16.1_1)
        * sysutils/policykit-gnome (policykit-gnome-0.9.2_2)
        * devel/libsoup (libsoup-2.26.3_2)
        * devel/gstreamer-plugins-soup (gstreamer-plugins-soup-0.10.16,3)
        * multimedia/kdemultimedia4 (kdemultimedia-4.3.1_1)
        * x11-toolkits/libbonoboui (libbonoboui-2.24.1_1)
        * www/kdewebdev4 (kdewebdev-4.3.1)
        * x11-drivers/xf86-input-keyboard (xf86-input-keyboard-1.3.2_2)
        * x11-drivers/xorg-drivers (xorg-drivers-7.4_2)
        * x11/xorg (xorg-7.4_2)
        * x11/kdebase4 (kdebase-4.3.1_1)
        * misc/kdeutils4 (kdeutils-4.3.1_1)
        * sysutils/gnome-mount (gnome-mount-0.8_3)
        * graphics/swfdec (swfdec-0.8.4_1)
        * devel/gvfs (gvfs-1.2.3_2)
        * x11-toolkits/libgnomeui (libgnomeui-2.24.1_1)
        * net/libgweather (libgweather-2.26.2.1_1)
        * databases/evolution-data-server (evolution-data-server-2.26.3_1)
        * deskutils/kdeplasma-addons (kdeplasma-addons-4.3.1)
        * x11/kde4 (kde4-4.3.1)
        * x11-toolkits/py-gnome2 (py26-gnome-2.26.1_1)
        * x11/gnome-desktop (gnome-desktop-2.26.3_1)
        * multimedia/cheese (cheese-2.26.3_1)

 

Right, time to run a backup before I FUBAR it real bad.

About

One thought on “FreeBSD and Linux Compatibility part 2 more errors…

Leave a Reply

6 visitors online now
0 guests, 6 bots, 0 members
Max visitors today: 16 at 09:07 am UTC
This month: 50 at 07-03-2021 05:35 pm UTC
This year: 237 at 03-24-2021 09:01 pm UTC
All time: 1100 at 08-08-2011 08:11 pm UTC